Package ch.qos.logback.core.joran.action

## Class ActionConst

- java.lang.Object
- - ch.qos.logback.core.joran.action.ActionConst

    public abstract class ActionConst
    extends java.lang.Object

This class contains costants used by other Actions.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static java.lang.String` `ACTION_CLASS_ATTRIBUTE`
`static java.lang.String` `ADDITIVITY_ATTRIBUTE`
`static java.lang.String` `APPENDER_BAG`
`static java.lang.String` `APPENDER_TAG`
`static java.lang.String` `CONVERSION_WORD_ATTRIBUTE`
`static java.lang.String` `CONVERTER_CLASS_ATTRIBUTE`
`static java.lang.String` `INHERITED`
`static java.lang.String` `LEVEL_ATTRIBUTE`
`static java.lang.String` `NULL`
`static java.lang.String` `PATTERN_ATTRIBUTE`
`static java.lang.String` `REF_ATTRIBUTE`
`static java.lang.String` `VALUE_ATTR`

### Constructor Summary

Constructors
`ActionConst()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### APPENDER_TAG

    public static final java.lang.String APPENDER_TAG

See Also:
  Constant Field Values

#### REF_ATTRIBUTE

    public static final java.lang.String REF_ATTRIBUTE

See Also:
  Constant Field Values

#### ADDITIVITY_ATTRIBUTE

    public static final java.lang.String ADDITIVITY_ATTRIBUTE

See Also:
  Constant Field Values

#### LEVEL_ATTRIBUTE

    public static final java.lang.String LEVEL_ATTRIBUTE

See Also:
  Constant Field Values

#### CONVERTER_CLASS_ATTRIBUTE

    public static final java.lang.String CONVERTER_CLASS_ATTRIBUTE

See Also:
  Constant Field Values

#### CONVERSION_WORD_ATTRIBUTE

    public static final java.lang.String CONVERSION_WORD_ATTRIBUTE

See Also:
  Constant Field Values

#### PATTERN_ATTRIBUTE

    public static final java.lang.String PATTERN_ATTRIBUTE

See Also:
  Constant Field Values

#### VALUE_ATTR

    public static final java.lang.String VALUE_ATTR

See Also:
  Constant Field Values

#### ACTION_CLASS_ATTRIBUTE

    public static final java.lang.String ACTION_CLASS_ATTRIBUTE

See Also:
  Constant Field Values

#### INHERITED

    public static final java.lang.String INHERITED

See Also:
  Constant Field Values

#### NULL

    public static final java.lang.String NULL

See Also:
  Constant Field Values

#### APPENDER_BAG

    public static final java.lang.String APPENDER_BAG

See Also:
  Constant Field Values

### Constructor Detail

#### ActionConst

    public ActionConst()